package com.ruoyi.web.modules.category.vo;

/**
 * 分类列表行
 */
public class CategoryRowVO
{
    private Long categoryId;

    private String categoryName;

    private String categoryLevel;

    private Long parentId;

    private String parentName;

    private String categoryPic;

    private String showFlag;

    private String hotFlag;

    private Integer sortNo;

    private Boolean canAddChild;

    public Long getCategoryId()
    {
        return categoryId;
    }

    public void setCategoryId(Long categoryId)
    {
        this.categoryId = categoryId;
    }

    public String getCategoryName()
    {
        return categoryName;
    }

    public void setCategoryName(String categoryName)
    {
        this.categoryName = categoryName;
    }

    public String getCategoryLevel()
    {
        return categoryLevel;
    }

    public void setCategoryLevel(String categoryLevel)
    {
        this.categoryLevel = categoryLevel;
    }

    public Long getParentId()
    {
        return parentId;
    }

    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public String getParentName()
    {
        return parentName;
    }

    public void setParentName(String parentName)
    {
        this.parentName = parentName;
    }

    public String getCategoryPic()
    {
        return categoryPic;
    }

    public void setCategoryPic(String categoryPic)
    {
        this.categoryPic = categoryPic;
    }

    public String getShowFlag()
    {
        return showFlag;
    }

    public void setShowFlag(String showFlag)
    {
        this.showFlag = showFlag;
    }

    public String getHotFlag()
    {
        return hotFlag;
    }

    public void setHotFlag(String hotFlag)
    {
        this.hotFlag = hotFlag;
    }

    public Integer getSortNo()
    {
        return sortNo;
    }

    public void setSortNo(Integer sortNo)
    {
        this.sortNo = sortNo;
    }

    public Boolean getCanAddChild()
    {
        return canAddChild;
    }

    public void setCanAddChild(Boolean canAddChild)
    {
        this.canAddChild = canAddChild;
    }
}
